package controllers

import (
	"spaceofcheng/services/utils"

	"github.com/astaxie/beego/config"
)

// 配置文件列表
const (
	AliYunConf = "aliyun"
	WeChatConf = "wechat"
)

func (c *BaseController) initConfig() {
	if c.Configer == nil {
		c.Configer = make(map[string]config.Configer)
	}

	aliConf := c.getConfig("conf/aliyun.conf")
	if aliConf != nil {
		c.Configer[AliYunConf] = aliConf
	}

	clientType := utils.GetClientType(c.Ctx.Request)
	if clientType == utils.ClientWechat {
		wxConf := c.getConfig("conf/wechat.conf")
		if wxConf != nil {
			c.Configer[WeChatConf] = wxConf
		}
	}
}

func (c *BaseController) getConfig(confPath string) config.Configer {
	aliConf, err := config.NewConfig("ini", confPath)
	if err != nil {
		utils.LogError("读取配置文件失败: " + err.Error())
		return nil
	}

	return aliConf
}
